Package org.kie.api.io

## Interface KieResources

- All Superinterfaces:
    `Comparable<KieService>`, `KieService`

      public interface KieResources
      extends KieService

  KieResources is a factory that provides Resource implementations for the desired IO resource

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Resource` | `newByteArrayResource​(byte[] bytes)` |
    `Resource` | `newByteArrayResource​(byte[] bytes, String encoding)` |
    `Resource` | `newClassPathResource​(String path)` |
    `Resource` | `newClassPathResource​(String path, Class<?> clazz)` |
    `Resource` | `newClassPathResource​(String path, ClassLoader classLoader)` |
    `Resource` | `newClassPathResource​(String path, String encoding)` |
    `Resource` | `newClassPathResource​(String path, String encoding, Class<?> clazz)` |
    `Resource` | `newClassPathResource​(String path, String encoding, ClassLoader classLoader)` |
    `Resource` | `newDescrResource​(KieDescr descr)` |
    `Resource` | `newFileSystemResource​(File file)` |
    `Resource` | `newFileSystemResource​(File file, String encoding)` |
    `Resource` | `newFileSystemResource​(String fileName)` |
    `Resource` | `newFileSystemResource​(String fileName, String encoding)` |
    `Resource` | `newInputStreamResource​(InputStream stream)` |
    `Resource` | `newInputStreamResource​(InputStream stream, String encoding)` |
    `Resource` | `newReaderResource​(Reader reader)` |
    `Resource` | `newReaderResource​(Reader reader, String encoding)` |
    `Resource` | `newUrlResource​(String path)` |
    `Resource` | `newUrlResource​(String path, String encoding)` |
    `Resource` | `newUrlResource​(URL url)` |
    `Resource` | `newUrlResource​(URL url, String encoding)` |

    - ### Methods inherited from interface org.kie.api.internal.utils.KieService

      `compareTo, servicePriority`

- - ### Method Detail

    - #### newUrlResource

          Resource newUrlResource​(URL url)

    - #### newUrlResource

          Resource newUrlResource​(URL url,
                                  String encoding)

    - #### newUrlResource

          Resource newUrlResource​(String path)

    - #### newUrlResource

          Resource newUrlResource​(String path,
                                  String encoding)

    - #### newFileSystemResource

          Resource newFileSystemResource​(File file)

    - #### newFileSystemResource

          Resource newFileSystemResource​(File file,
                                         String encoding)

    - #### newFileSystemResource

          Resource newFileSystemResource​(String fileName)

    - #### newFileSystemResource

          Resource newFileSystemResource​(String fileName,
                                         String encoding)

    - #### newByteArrayResource

          Resource newByteArrayResource​(byte[] bytes)

    - #### newByteArrayResource

          Resource newByteArrayResource​(byte[] bytes,
                                        String encoding)

    - #### newInputStreamResource

          Resource newInputStreamResource​(InputStream stream)

    - #### newInputStreamResource

          Resource newInputStreamResource​(InputStream stream,
                                          String encoding)

    - #### newReaderResource

          Resource newReaderResource​(Reader reader)

    - #### newReaderResource

          Resource newReaderResource​(Reader reader,
                                     String encoding)

    - #### newClassPathResource

          Resource newClassPathResource​(String path)

    - #### newClassPathResource

          Resource newClassPathResource​(String path,
                                        ClassLoader classLoader)

    - #### newClassPathResource

          Resource newClassPathResource​(String path,
                                        Class<?> clazz)

    - #### newClassPathResource

          Resource newClassPathResource​(String path,
                                        String encoding)

    - #### newClassPathResource

          Resource newClassPathResource​(String path,
                                        String encoding,
                                        ClassLoader classLoader)

    - #### newClassPathResource

          Resource newClassPathResource​(String path,
                                        String encoding,
                                        Class<?> clazz)

    - #### newDescrResource

          Resource newDescrResource​(KieDescr descr)